Bug 20676 - Safari 4dp crashes while executing "undo" in gmail
: Safari 4dp crashes while executing "undo" in gmail
Status: RESOLVED DUPLICATE of bug 19703
: WebKit
HTML Editing
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P1 Normal
Assigned To:
:
: GoogleBug, InRadar, ReviewedForRadar
:
:
  Show dependency treegraph
 
Reported: 2008-09-05 15:23 PST by
Modified: 2008-12-22 15:21 PST (History)


Attachments
patch (96.36 KB, patch)
2008-12-22 00:20 PST, Darin Adler
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-05 15:23:39 PST
I'm so sad when Safari crashes. :(

This might have already been fixed.  I feel like I looked at a report like this earlier this year.

Process:         Safari [76543]
Path:            /Applications/Safari.app/Contents/MacOS/Safari
Identifier:      com.apple.Safari
Version:         4 Developer Preview (5526.11.2)
Build Info:      WebBrowser-55261102~10
Code Type:       X86 (Native)
Parent Process:  launchd [304]

Date/Time:       2008-09-05 15:21:58.425 -0700
OS Version:      Mac OS X 10.5.4 (9E17)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.WebCore                 0x91c761bd WebCore::InsertNodeBeforeCommand::doUnapply() + 29
1   com.apple.WebCore                 0x91c75c19 WebCore::EditCommand::unapply() + 57
2   com.apple.WebCore                 0x91c75cf5 WebCore::CompositeEditCommand::doUnapply() + 85
3   com.apple.WebCore                 0x91c75c19 WebCore::EditCommand::unapply() + 57
4   com.apple.WebCore                 0x91c75cf5 WebCore::CompositeEditCommand::doUnapply() + 85
5   com.apple.WebCore                 0x91c75c19 WebCore::EditCommand::unapply() + 57
6   com.apple.Foundation              0x92595102 -[_NSUndoLightInvocation invoke] + 34
7   com.apple.Foundation              0x92582be4 -[_NSUndoStack popAndInvoke] + 244
8   com.apple.Foundation              0x925829e7 -[NSUndoManager undoNestedGroup] + 199
9   com.apple.AppKit                  0x9611fc23 -[NSApplication sendAction:to:from:] + 112
10  com.apple.Safari                  0x0002afd8 0x1000 + 171992
11  com.apple.AppKit                  0x961ce660 -[NSMenu performActionForItemAtIndex:] + 493
12  com.apple.AppKit                  0x961ce365 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 220
13  com.apple.AppKit                  0x961cdfeb -[NSMenu performKeyEquivalent:] + 866
14  com.apple.AppKit                  0x961cc890 -[NSApplication _handleKeyEquivalent:] + 492
15  com.apple.AppKit                  0x960e9853 -[NSApplication sendEvent:] + 3999
16  com.apple.Safari                  0x00029250 0x1000 + 164432
17  com.apple.AppKit                  0x96046e27 -[NSApplication run] + 847
18  com.apple.AppKit                  0x96014030 NSApplicationMain + 574
19  com.apple.Safari                  0x000b4de6 0x1000 + 736742

Thread 1:
0   libSystem.B.dylib                 0x90e4c68e __semwait_signal + 10
1   libSystem.B.dylib                 0x90e7736d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore                 0x9199c1ff WebCore::IconDatabase::syncThreadMainLoop() + 239
3   com.apple.WebCore                 0x91955df5 WebCore::IconDatabase::iconDatabaseSyncThread() + 181
4   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
5   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 2:
0   libSystem.B.dylib                 0x90e4c68e __semwait_signal + 10
1   libSystem.B.dylib                 0x90e7736d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore                 0x91fd9bdb WebCore::LocalStorageThread::localStorageThread() + 427
3   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
4   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 3:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   com.apple.CoreFoundation          0x94a540ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation          0x94a54cf8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork               0x95c84a32 CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
6   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 4:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   com.apple.CoreFoundation          0x94a540ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation          0x94a54cf8 CFRunLoopRunInMode + 88
4   com.apple.Foundation              0x92514460 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation              0x924b0f1d -[NSThread main] + 45
6   com.apple.Foundation              0x924b0ac4 __NSThread__main__ + 308
7   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
8   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 5:
0   libSystem.B.dylib                 0x90e955e2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
2   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 6:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   com.apple.CoreFoundation          0x94a540ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation          0x94a54cf8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio         0x970ec464 HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio         0x970ec300 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
7   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 7:
0   libSystem.B.dylib                 0x90e4c68e __semwait_signal + 10
1   libSystem.B.dylib                 0x90e7736d pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync               0x95315460 pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync               0x95327d92 CMMConvTask(void*) + 54
4   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
5   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 8:
0   libSystem.B.dylib                 0x90eaf07a __workq_ops + 10
1   libSystem.B.dylib                 0x90eaf0aa start_wqthread + 30

Thread 9:

Thread 10:
0   libSystem.B.dylib                 0x90e45506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib                 0x90e7784f _pthread_cond_wait + 1244
2   libSystem.B.dylib                 0x90e790d3 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation              0x924f6e8c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation              0x924f6ca0 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation              0x924f6c05 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.AppKit                  0x960b4470 -[NSUIHeartBeat _heartBeatThread:] + 753
7   com.apple.Foundation              0x924b0f1d -[NSThread main] + 45
8   com.apple.Foundation              0x924b0ac4 __NSThread__main__ + 308
9   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
10  libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 11:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   com.apple.CoreFoundation          0x94a540ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation          0x94a54d54 CFRunLoopRun + 84
4   com.apple.QuickTime               0x94dc3dc3 QTSNetworkThread_RunThread + 131
5   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
6   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 12:
0   libSystem.B.dylib                 0x90e4c68e __semwait_signal + 10
1   libSystem.B.dylib                 0x90e7736d pthread_cond_wait$UNIX2003 + 73
2   libGLProgrammability.dylib        0x90064432 glvmDoWork + 162
3   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
4   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 13:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   ...romedia.Flash Player.plugin    0x18fb9959 memcopy_mmx + 709497
3   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
4   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 14:
0   libSystem.B.dylib                 0x90e454ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib                 0x90e77866 _pthread_cond_wait + 1267
2   libSystem.B.dylib                 0x90ebd371 pthread_cond_wait + 48
3   ...romedia.Flash Player.plugin    0x18e80928 0x18aee000 + 3746088
4   ...romedia.Flash Player.plugin    0x18eb8230 Flash_EnforceLocalSecurity + 125000
5   ...romedia.Flash Player.plugin    0x18e80bd2 0x18aee000 + 3746770
6   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
7   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 15:
0   libSystem.B.dylib                 0x90e454ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib                 0x90e77866 _pthread_cond_wait + 1267
2   libSystem.B.dylib                 0x90ebd371 pthread_cond_wait + 48
3   ...romedia.Flash Player.plugin    0x18e80928 0x18aee000 + 3746088
4   ...romedia.Flash Player.plugin    0x18eb8230 Flash_EnforceLocalSecurity + 125000
5   ...romedia.Flash Player.plugin    0x18e80bd2 0x18aee000 + 3746770
6   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
7   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 16:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   com.apple.CoreFoundation          0x94a540ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation          0x94a54d54 CFRunLoopRun + 84
4   com.apple.DesktopServices         0x91088ea3 TSystemNotificationTask::SystemNotificationTaskProc(void*) + 123
5   ...ple.CoreServices.CarbonCore    0x9154b55b PrivateMPEntryPoint + 56
6   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
7   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 17:
0   libSystem.B.dylib                 0x90e454a6 mach_msg_trap + 10
1   libSystem.B.dylib                 0x90e4cc9c mach_msg + 72
2   com.apple.CoreFoundation          0x94a540ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation          0x94a54d54 CFRunLoopRun + 84
4   com.apple.DesktopServices         0x9108901c TFSEventsNotificationTask::FSEventsNotificationTaskProc(void*) + 216
5   ...ple.CoreServices.CarbonCore    0x9154b55b PrivateMPEntryPoint + 56
6   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
7   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 18:
0   libSystem.B.dylib                 0x90e4c68e __semwait_signal + 10
1   libSystem.B.dylib                 0x90e7736d pthread_cond_wait$UNIX2003 + 73
2   ...ple.CoreServices.CarbonCore    0x9154d347 TSWaitOnCondition + 126
3   ...ple.CoreServices.CarbonCore    0x9152c2d2 TSWaitOnConditionTimedRelative + 202
4   ...ple.CoreServices.CarbonCore    0x9154cfc4 MPWaitOnQueue + 208
5   com.apple.DesktopServices         0x91093fda TNodeSyncTask::SyncTaskProc(void*) + 84
6   ...ple.CoreServices.CarbonCore    0x9154b55b PrivateMPEntryPoint + 56
7   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
8   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 19:
0   libSystem.B.dylib                 0x90e75f66 kevent + 10
1   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
2   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 20:
0   libSystem.B.dylib                 0x90e45506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib                 0x90e7784f _pthread_cond_wait + 1244
2   libSystem.B.dylib                 0x90e790d3 pthread_cond_timedwait_relative_np + 47
3   com.apple.audio.CoreAudio         0x970fba47 CAGuard::WaitFor(unsigned long long) + 213
4   com.apple.audio.CoreAudio         0x970fd602 CAGuard::WaitUntil(unsigned long long) + 70
5   com.apple.audio.CoreAudio         0x970fbda7 HP_IOThread::WorkLoop() + 759
6   com.apple.audio.CoreAudio         0x970fbaab HP_IOThread::ThreadEntry(HP_IOThread*) + 17
7   com.apple.audio.CoreAudio         0x970ec300 CAPThread::Entry(CAPThread*) + 96
8   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
9   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 21:
0   libSystem.B.dylib                 0x90e45506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib                 0x90e7784f _pthread_cond_wait + 1244
2   libSystem.B.dylib                 0x90e790d3 pthread_cond_timedwait_relative_np + 47
3   ...ple.CoreServices.CarbonCore    0x9152c2fe TSWaitOnConditionTimedRelative + 246
4   ...ple.CoreServices.CarbonCore    0x9154cfc4 MPWaitOnQueue + 208
5   com.apple.DesktopServices         0x91095f24 TFolderSizeTask::FolderSizeTaskProc(void*) + 104
6   ...ple.CoreServices.CarbonCore    0x9154b55b PrivateMPEntryPoint + 56
7   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
8   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 22:
0   libSystem.B.dylib                 0x90e45506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib                 0x90e7784f _pthread_cond_wait + 1244
2   libSystem.B.dylib                 0x90e790d3 pthread_cond_timedwait_relative_np + 47
3   ...ple.CoreServices.CarbonCore    0x9152c2fe TSWaitOnConditionTimedRelative + 246
4   ...ple.CoreServices.CarbonCore    0x9154cfc4 MPWaitOnQueue + 208
5   com.apple.DesktopServices         0x91095f24 TFolderSizeTask::FolderSizeTaskProc(void*) + 104
6   ...ple.CoreServices.CarbonCore    0x9154b55b PrivateMPEntryPoint + 56
7   libSystem.B.dylib                 0x90e766f5 _pthread_start + 321
8   libSystem.B.dylib                 0x90e765b2 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xbffff28c  ebx: 0x92582b01  ecx: 0x2590d480  edx: 0x00000000
  edi: 0x2590d480  esi: 0x1ac777a0  ebp: 0xbffff298  esp: 0xbffff270
   ss: 0x0000001f  efl: 0x00010282  eip: 0x91c761bd   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000000

Binary Images:
    0x1000 -   0x140fe1  com.apple.Safari 4 Developer Preview (5526.11.2) <3bcf4f3ca3c0349e26db30a14658e525> /Applications/Safari.app/Contents/MacOS/Safari
  0x18a000 -   0x199ff8  SyndicationUI ??? (???) <f44522033c6fa93f5b0890b2e58a85b1> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x570000 -   0x68eff7  com.apple.RawCamera.bundle 2.0.8 (2.0.8) <56067945130800a348eb076676d41e92> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x13f86000 - 0x13f89fff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <9ce6f675ce724b0ba4e78323b79cf95c> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x13f97000 - 0x13f9cfff  com.apple.audio.AppleHDAHALPlugIn 1.5.7 (1.5.7a24) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x14183000 - 0x14184ffc  com.apple.JavaPluginCocoa 12.1.0 (12.1.0) <d21a12c5668d4d89bfe492a5223a75cc> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
0x1418a000 - 0x1418fffd  com.apple.JavaVM 12.1.0 (12.1.0) <25c546c36e5bed978579d281080ab4c8> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x14762000 - 0x14763ff3  ATSHI.dylib ??? (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
0x14f39000 - 0x14f3eff3  libCGXCoreImage.A.dylib ??? (???) <32265ec157db98a33c5dcf0e6687dec2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x16093000 - 0x16098fff  com.apple.DictionaryServiceComponent 1.1 (1.1) <8edc1180f52db18e9ddfb4e95debe61b> /System/Library/Components/DictionaryService.component/Contents/MacOS/DictionaryService
0x165f0000 - 0x16661fff +com.DivXInc.DivXDecoder 6.4.0 (6.4.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x166fb000 - 0x166fbffd  liblangid.dylib ??? (???) <4310e568d617f1ce7178266630e1b71a> /usr/lib/liblangid.dylib
0x173a0000 - 0x173a1fff +com.google.GoogleNotifierQuickAddCMPlugin 1.9.100 (1.9.100.0) /Users/eseidel/Library/Contextual Menu Items/Google Notifier Quick Add CM Plugin.plugin/Contents/MacOS/Google Notifier Quick Add CM Plugin
0x189e0000 - 0x189e2ffe  com.apple.AutomatorCMM 1.1 (160) <650079fd95a57e8131e79409a00b2aed> /System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
0x18aee000 - 0x190eeffb +com.macromedia.Flash Player.plugin 9.0.124.0 (1.0.4f60) <8355dcf076564b6784c517fd0eccb2f2> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x19226000 - 0x19245fed  com.apple.audio.CoreAudioKit 1.5 (1.5) <82f2e52c502db7f3b32349a54209a0fe> /System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
0x1b5d6000 - 0x1b5d7ffd  com.apple.BluetoothMenu 2.1 (2.1f17) /System/Library/Contextual Menu Items/BluetoothContextualMenu.plugin/Contents/MacOS/BluetoothContextualMenu
0x1b795000 - 0x1b798fff  com.apple.BezelServicesFW 1.4.832 (1.4.832) /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
0x1c1bf000 - 0x1c1cdfeb  libSimplifiedChineseConverter.dylib ??? (???) <548d5a699dbe2bb8fcc8275321fdc0d4> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x1c1d2000 - 0x1c1e4fff  libTraditionalChineseConverter.dylib ??? (???) <89ec94121ef50601dc538548caae57fc> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x1ed33000 - 0x1ed38fff  com.apple.FolderActionsMenu 1.3.2 (1.3.2) <9ba69ef0bec96264a79fa28b3a5f058b> /System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
0x1f751000 - 0x1f756fff  libFontStreams.A.dylib ??? (???) <9c67b56cb4bdd358622a4bb0aa51e119> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libFontStreams.A.dylib
0x22c15000 - 0x22d3cfe7  libmecab.1.0.0.dylib ??? (???) <7b38ea21924f2d04b3aa6c75b0ddcb29> /usr/lib/libmecab.1.0.0.dylib
0x266e6000 - 0x266f0ffe  com.apple.URLMount 3.1.1 (3.1.1) <b4018e683fad4259ee78070e91f35029> /System/Library/PrivateFrameworks/URLMount.framework/URLMount
0x272d2000 - 0x272d4ffb  com.apple.PDFImporter 1.7 (???) <490de796fe9a6b3b8a9844a1630d38e2> /System/Library/Components/PDFImporter.component/Contents/MacOS/PDFImporter
0x295c0000 - 0x2962eff7  com.apple.Bluetooth 2.1 (2.1f17) <29ab5843bb608c155d4d7353320c2194> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x296c2000 - 0x296deff7  GLRendererFloat ??? (???) <98be9cb44eb018fa6300e9447b214fd7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x296e4000 - 0x296f3fff  com.apple.quicktime.webplugin 7.5 (861) /Library/Internet Plug-Ins/QuickTime Plugin.webplugin/Contents/MacOS/QuickTime Plugin
0x2dbdb000 - 0x2dd91ff3  com.apple.audio.codecs.Components 1.6.3 (1.6.3) /System/Library/Components/AudioCodecs.component/Contents/MacOS/AudioCodecs
0x2dee9000 - 0x2df03fe3  com.apple.applepixletvideo 1.2.16 (1.2d16) <798930d46fb63202d054bbabf6e8c0e6> /System/Library/QuickTime/ApplePixletVideo.component/Contents/MacOS/ApplePixletVideo
0x2dff6000 - 0x2e031fff  com.apple.QuickTimeFireWireDV.component 7.5 (861) /System/Library/QuickTime/QuickTimeFireWireDV.component/Contents/MacOS/QuickTimeFireWireDV
0x2e086000 - 0x2e0b5ffe  com.apple.QuickTime Plugin.plugin 7.5 (861) /Library/Internet Plug-Ins/QuickTime Plugin.plugin/Contents/MacOS/QuickTime Plugin
0x2e0c7000 - 0x2e2baff7 +net.telestream.wmv.import 2.1.0.33 (2.1.0.33) /Library/QuickTime/Flip4Mac WMV Import.component/Contents/MacOS/Flip4Mac WMV Import
0x2e2ea000 - 0x2e44afe1  com.apple.QuickTimeStreaming.component 7.5 (861) <9821ed1667fb46135773f41354008671> /System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x2e59a000 - 0x2e71cfef  GLEngine ??? (???) <e9b3c93e50e3236cae43a2161e331720> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x2e74a000 - 0x2e9d2fe1  com.apple.ATIRadeonX1000GLDriver 1.5.28 (5.2.8) <908a996049d30efc4da606661969ec18> /System/Library/Extensions/ATIRadeonX1000GLDriver.bundle/Contents/MacOS/ATIRadeonX1000GLDriver
0x2fab3000 - 0x2fec5fe9  QuickTimeH264.scalar ??? (???) <105e559b7b4dfc73d3db057fa6b5a009> /System/Library/QuickTime/QuickTimeH264.component/Contents/Resources/QuickTimeH264.scalar
0x2ff27000 - 0x2ff99fff  com.apple.iLifeMediaBrowser 1.0.8 (212) <afa1e1cb24dab8802261493e84692570> /System/Library/PrivateFrameworks/iLifeMediaBrowser.framework/Versions/A/iLifeMediaBrowser
0x30888000 - 0x308a4fe7  libPDFRIP.A.dylib ??? (???) <804fa9fc9690fe05251feb8eab1fdca8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libPDFRIP.A.dylib
0x70000000 - 0x700e3ff2  com.apple.audio.units.Components 1.5.1 (1.5.1) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
0x9003d000 - 0x90510ffe  libGLProgrammability.dylib ??? (???) <475db64244e011cd8811e076035b2632> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x90511000 - 0x90539fff  libcups.2.dylib ??? (???) <ece20dff2a2c8ed3ae6ef735ef440c37> /usr/lib/libcups.2.dylib
0x9053a000 - 0x905cdfff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x905ce000 - 0x90605fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90606000 - 0x906e5fff  libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib
0x906e6000 - 0x906e8fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x906ef000 - 0x9071afe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x9071b000 - 0x907cbfff  edu.mit.Kerberos 6.0.12 (6.0.12) <1dc515ebe407292db8e603938c72d4e8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x907cc000 - 0x907cefff  com.apple.CrashReporterSupport 10.5.0 (156) <3088b785b10d03504ed02f3fee5d3aab> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x907cf000 - 0x9081fff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x90820000 - 0x908c7feb  com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x908c8000 - 0x908cffff  com.apple.agl 3.0.9 (AGL-3.0.9) <7dac4a7cb0de2f6d08ae71c1249379e3> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x908d0000 - 0x90972ff3  com.apple.QuickTimeImporters.component 7.5 (861) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x90973000 - 0x90987ff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90988000 - 0x90988ffe  com.apple.quartzframework 1.5 (1.5) <4b8f505e32e4f2d67967a276401f9aaf> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x90989000 - 0x90d99fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x90de9000 - 0x90e43ff7  com.apple.CoreText 2.0.2 (???) <9fde11f84a72e890bbf2aa8b0b13b79a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90e44000 - 0x90fa4ff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
0x90fa5000 - 0x91086ff7  libxml2.2.dylib ??? (???) <de34eb9b43eb7d4a4e0b7f25529efa12> /usr/lib/libxml2.2.dylib
0x91087000 - 0x91111fe3  com.apple.DesktopServices 1.4.6 (1.4.6) <94d1a28b351b7dff77becadab0967772> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x91112000 - 0x9114bffe  com.apple.securityfoundation 3.0 (32989) <e9171eda22c69c884a04a001aeb526e0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9114c000 - 0x9116afff  libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib
0x9116b000 - 0x91501fff  com.apple.QuartzCore 1.5.3 (1.5.3) <1b65c05f89e81a499302fd63295b242d> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x91502000 - 0x917dcff3  com.apple.CoreServices.CarbonCore 786.4 (786.4) <059c4803a7a95e3c1a95a332baeb1edf> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x917dd000 - 0x9181ffef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x91820000 - 0x91820ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x91821000 - 0x91821ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x91836000 - 0x91836ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x91837000 - 0x91876fef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91877000 - 0x9190aff3  com.apple.ApplicationServices.ATS 3.3 (???) <064eb6d96417afa38a80b1735c4113aa> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x91950000 - 0x91952ff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91953000 - 0x9209dfff  com.apple.WebCore 5526.11 (5526.11) <92070a47a097cbc0df1dde4d4071fa0a> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x920ef000 - 0x92119fff  com.apple.CoreMediaPrivate 9.0 (9.0) <8eb20bcfecc950600aa62dfa07aa47f3> /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x9211a000 - 0x9211dfff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x9211e000 - 0x92214ff7  com.apple.JavaScriptCore 5526.11 (5526.11) <a635620d1ede7c6917bd6a66b9987484> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x92215000 - 0x922e8fef  com.apple.QuickTimeH264.component 7.5 (861) /System/Library/QuickTime/QuickTimeH264.component/Contents/MacOS/QuickTimeH264
0x9244a000 - 0x92454feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92455000 - 0x9245cffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x9245d000 - 0x92462ffb  com.apple.DisplayServicesFW 2.0 (2.0) <8953865f53e940007a4e4ac5390d3c95> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x92463000 - 0x92472ffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x92473000 - 0x924a5fff  com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x924a6000 - 0x92721fe7  com.apple.Foundation 6.5.5 (677.19) <bfd4ebea1a7739dd6b523f15dca01a37> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92722000 - 0x92dbefff  com.apple.CoreGraphics 1.351.31 (???) <c97a42498636b2596764e48669f98e00> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x92dbf000 - 0x92e3cfef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92e3d000 - 0x92e42fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92e43000 - 0x92e49fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92e4a000 - 0x92f6efe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x92f6f000 - 0x9313dfff  com.apple.security 5.0.4 (34102) <f01d6cbd6a0f24f6c13952ed448e77d6> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9313e000 - 0x9318dfff  com.apple.QuickLookUIFramework 1.1 (170.4) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x9318e000 - 0x93495ff7  com.apple.HIToolbox 1.5.3 (???) <e36f5c553e5a32f64b7eb458dadadc71> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93496000 - 0x93496ffe  com.apple.MonitorPanelFramework 1.2.0 (1.2.0) <a2b462be6c51187eddf7d097ef0e0a04> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x93497000 - 0x934a2ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x934a3000 - 0x934aefe7  libCSync.A.dylib ??? (???) <8011fc1963cebdde0c6f101dbee5afd7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9351d000 - 0x935a4ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x935a5000 - 0x935d4fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x935d5000 - 0x93687ffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x93688000 - 0x9368cfff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x9368d000 - 0x947d2ff2  com.apple.QuickTimeComponents.component 7.5 (861) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x94839000 - 0x9485dfff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x94868000 - 0x9486cfff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x9486d000 - 0x94874fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x94875000 - 0x948a2feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x948a3000 - 0x94915fff  com.apple.PDFKit 2.1 (2.1) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x94916000 - 0x949e0fef  com.apple.WebKit 5526.11 (5526.11) <e86d888c1926b248efea37192caeb22e> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x949e1000 - 0x949e1ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x949e2000 - 0x94b14fff  com.apple.CoreFoundation 6.5.3 (476.14) <7ef7f5db09ff6dd0135a6165872803cc> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x94b15000 - 0x94b24fff  libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib
0x94b25000 - 0x94becff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x94bed000 - 0x94bedffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x94bee000 - 0x94beefff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x94bef000 - 0x94d35ff7  com.apple.ImageIO.framework 2.0.2 (2.0.2) <77dfee73f4c0d230425a5151ee0bce05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x94d36000 - 0x94db0ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x94db1000 - 0x950d2fea  com.apple.QuickTime 7.5.0 (861) <4e1161b204b3b1f1047412c16483c39a> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x950d3000 - 0x9528eff3  com.apple.QuartzComposer 2.1 (106.5) <1a52b406a3f3d04387c822da4a93c245> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9528f000 - 0x952aaff3  libPng.dylib ??? (???) <c0484bec6e2432b406755591924fe664> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x952ab000 - 0x952e1fef  libtidy.A.dylib ??? (???) <f1d1742e06280444baa5637b209fd0af> /usr/lib/libtidy.A.dylib
0x952e2000 - 0x953adfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x953bc000 - 0x95448ff7  com.apple.LaunchServices 289.2 (289.2) <3577886e3a6d56ee3949850c4fde76c9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9553c000 - 0x95576fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x95577000 - 0x955d3ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x955d4000 - 0x95612ff7  libGLImage.dylib ??? (???) <093b1b698ca93a0380f5fa262459ea28> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x95613000 - 0x95613ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x9587d000 - 0x958d6ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x958d7000 - 0x958effff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x958f0000 - 0x959b9fe7  com.apple.QuickTimeMPEG4.component 7.5 (861) /System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x959f6000 - 0x95a27ffb  com.apple.quartzfilters 1.5.0 (1.5.0) <22581f8fe9dd2cb261f97a897407ec3e> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x95a28000 - 0x95a2fff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x95a30000 - 0x95a3effd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x95a3f000 - 0x95b40fff  com.apple.PubSub 1.0.3 (65.3) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x95b41000 - 0x95c78feb  com.apple.imageKit 1.0.1 (1.0) <9b6da3210b7e69e75039cbb0fd4a8482> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x95c79000 - 0x95cfbff3  com.apple.CFNetwork 330.4 (330.4) <ce5b085df34a78b7f198aff9db5b52ec> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x95cfc000 - 0x95df0ff4  libiconv.2.dylib ??? (???) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib
0x95df1000 - 0x95e07fe7  com.apple.CoreVideo 1.5.1 (1.5.1) <ed7bb95fb94817ea3212090aac5c65f3> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x95e08000 - 0x95f40ff7  libicucore.A.dylib ??? (???) <5031226ea28b371d8dfdbb32acfb48b5> /usr/lib/libicucore.A.dylib
0x95f41000 - 0x95f60ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x95f61000 - 0x95f65fff  com.apple.CoreMediaAuthoringPrivate 1.4 (1.4) /System/Library/PrivateFrameworks/CoreMediaAuthoringPrivate.framework/Versions/A/CoreMediaAuthoringPrivate
0x95f66000 - 0x95fa7fe7  libRIP.A.dylib ??? (???) <c8d988d3880d7268468112c64c626d86> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x95fa8000 - 0x95fb8ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x95fb9000 - 0x95fb9ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x95fba000 - 0x95fcafff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x96008000 - 0x9600dfff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x9600e000 - 0x9680bfef  com.apple.AppKit 6.5.3 (949.33) <84b236f43802f4c15011513d18efa101> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9680c000 - 0x96852fef  com.apple.Metadata 10.5.2 (398.18) <adbb3a14e8f7da444e16d2fd61862771> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x96853000 - 0x96877feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x96878000 - 0x96881fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x96882000 - 0x968dfffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x968e0000 - 0x968ecfe7  com.apple.opengl 1.5.6 (1.5.6) <125de77ea2434a91364e79a0905a7771> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x968fa000 - 0x96985fff  com.apple.framework.IOKit 1.5.1 (???) <60cfc4b175c4ef60bb8e9036716a29f4> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x96986000 - 0x969a4ff3  com.apple.DirectoryService.Framework 3.5.4 (3.5.4) <fe27e80e1a9e86403fd9ed16dcfe4e11> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x969a5000 - 0x969adfff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x969ae000 - 0x969c4fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x96a38000 - 0x96bb7fff  com.apple.AddressBook.framework 4.1.1 (695) <24a448ba4f9f784189bd3183e3474d81> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x96bb8000 - 0x96c37ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x96c38000 - 0x96ff6fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x96ff7000 - 0x9701fff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x97020000 - 0x970ceffb  com.apple.QTKit 7.5 (861) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x970cf000 - 0x9714bfeb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9714c000 - 0x97169ff7  com.apple.QuickLookFramework 1.1 (170.4) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x9716a000 - 0x9716bffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x9716c000 - 0x971aafff  com.apple.CoreMediaIOServicesPrivate 9.0 (9.0) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x971ab000 - 0x971f5fe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x971f6000 - 0x972b0fe3  com.apple.CoreServices.OSServices 226.5 (226.5) <7e10d25c615a39fe1ab4d48e24a3b555> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x972b1000 - 0x97396ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x97397000 - 0x973b7ff2  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x973b8000 - 0x973b8ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x973b9000 - 0x9741fffb  com.apple.ISSupport 1.7 (38) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <7b0248c392848338f5d6ed093313eeef> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ??? (???) <51586b8d9ef39123fbe6918f12d8285f> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib
------- Comment #1 From 2008-09-05 16:01:16 PST -------
<rdar://problem/6201028>
------- Comment #2 From 2008-09-05 16:02:59 PST -------
This does not crash every time.  Might be fixed in ToT (I haven't gone searching yet).  But this is the second instance of this crash I've had of this this week!  I've sent both to Apple via CrashReporter.
------- Comment #3 From 2008-09-08 17:39:17 PST -------
I hit this all the time!  Bah.  Almost makes me want to use FireFox.  I think all you need to do is open a gmail reply and hit undo for this to crash Safari.
------- Comment #4 From 2008-09-08 17:41:04 PST -------
Double bah.  It's very easy to reproduce with internal Gmail.
1.  hit reply
2.  type something
3.  hit undo
4.  Safari crashes.

I'm sure it's possible to hit this other ways too.
------- Comment #5 From 2008-09-08 18:00:54 PST -------
Tripple Bah!

This crashes Chrome too!
------- Comment #6 From 2008-09-08 18:30:43 PST -------
I've had this one reported to me in Chrome for a while now, both in Gmail and Sites, always on an undo.  But no one has ever gotten a consistent repro.  Your repro case of just reply to email, type, and undo doesn't crash for me.
------- Comment #7 From 2008-09-08 21:02:29 PST -------
(In reply to comment #4)
> Double bah.  It's very easy to reproduce with internal Gmail.
> 1.  hit reply
> 2.  type something
> 3.  hit undo
> 4.  Safari crashes.

These steps don't reproduce a crash for me either.
------- Comment #8 From 2008-09-08 21:21:52 PST -------
(In reply to comment #4)
> Double bah.  It's very easy to reproduce with internal Gmail.
> 1.  hit reply
> 2.  type something
> 3.  hit undo
> 4.  Safari crashes.

These steps hit the following ASSERT for me:
<http://trac.webkit.org/browser/trunk/WebCore/editing/InsertNodeBeforeCommand.cpp#L59>

ASSERTION FAILED: m_refChild->parentNode()
(/Users/matt/Code/WebKit/WebCore/editing/InsertNodeBeforeCommand.cpp:59 virtual void WebCore::InsertNodeBeforeCommand::doUnapply())

Thread 0 Crashed:
0   com.apple.WebCore                 0x03564f49 WebCore::InsertNodeBeforeCommand::doUnapply() + 235 (InsertNodeBeforeCommand.cpp:59)
1   com.apple.WebCore                 0x0341db09 WebCore::EditCommand::unapply() + 265 (EditCommand.cpp:127)
2   com.apple.WebCore                 0x032ecd7b WebCore::CompositeEditCommand::doUnapply() + 69 (CompositeEditCommand.cpp:80)
3   com.apple.WebCore                 0x0341db09 WebCore::EditCommand::unapply() + 265 (EditCommand.cpp:127)
4   com.apple.WebCore                 0x032ecd7b WebCore::CompositeEditCommand::doUnapply() + 69 (CompositeEditCommand.cpp:80)
5   com.apple.WebCore                 0x0341db09 WebCore::EditCommand::unapply() + 265 (EditCommand.cpp:127)
6   com.apple.WebKit                  0x001c34c0 -[WebEditorUndoTarget undoEditing:] + 166 (WebEditorClient.mm:150)
------- Comment #9 From 2008-09-14 14:55:12 PST -------
Got some repro steps that seem to work reliably for me on Safari 3.1 Mac in Google Sites.

From http://code.google.com/p/chromium/issues/detail?id=2266

1. Create a new page
2. Type 'a' into the text box. Press Ctrl-Z to undo the insertion of 'a', and the cursor is moved to the next line.
3. Move the cursor up to the beginning of the text box. Type 'a' again.
Press Ctrl-Z to undo the insertion.
------- Comment #10 From 2008-10-27 12:57:06 PST -------
I'm getting this in a totally unrealiable manner, but my experience has been that the crash always follows when I try to undo an HTML-formatted paste into the editing window. My CrashReporter traces look different, too:

Process:         WebKit [9750]
Path:            /Applications/WebKit.app/Contents/MacOS/WebKit
Identifier:      org.webkit.nightly.WebKit
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  launchd [120]

Date/Time:       2008-05-27 11:39:51.759 +0300
OS Version:      Mac OS X 10.5.2 (9C7010)
Report Version:  6

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason: '*** -[NSCFDictionary setObject:forKey:]: mutating method sent to immutable object'

Thread 0 Crashed:
0   com.apple.CoreFoundation          0x923370f4 ___TERMINATING_DUE_TO_UNCAUGHT_EXCEPTION___ + 4
1   libobjc.A.dylib                   0x942e10fb objc_exception_throw + 40
2   com.apple.CoreFoundation          0x9233702b +[NSException raise:format:arguments:] + 155
3   com.apple.CoreFoundation          0x9233706a +[NSException raise:format:] + 58
4   com.apple.Foundation              0x95bf0af4 -[NSCFDictionary setObject:forKey:] + 228
5   com.apple.CoreFoundation          0x92335172 -[NSMutableDictionary addEntriesFromDictionary:] + 226
6   org.webkit.nightly.WebKit         0x000026c7 start + 1979
7   org.webkit.nightly.WebKit         0x00002008 start + 252
8   org.webkit.nightly.WebKit         0x00001f35 start + 41

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xa01ef0f0  ebx: 0x942e10dc  ecx: 0xa01ee1a0  edx: 0x00008000
  edi: 0x0011d200  esi: 0xa0780ab8  ebp: 0xbffff968  esp: 0xbffff968
   ss: 0x0000001f  efl: 0x00000286  eip: 0x923370f4   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x55824000
------- Comment #11 From 2008-12-22 00:20:53 PST -------
Created an attachment (id=26196) [details]
patch

Here's the patch. Now we also need some regression tests.
------- Comment #12 From 2008-12-22 14:24:43 PST -------
(In reply to comment #10)
> I'm getting this in a totally unrealiable manner, but my experience has been
> that the crash always follows when I try to undo an HTML-formatted paste into
> the editing window. My CrashReporter traces look different, too

This is a different bug. It needs a different bug report and steps to reproduce.
------- Comment #13 From 2008-12-22 15:21:14 PST -------

*** This bug has been marked as a duplicate of 19703 ***